<?php

/*
 * @file
 *   <%= projectSlug %> main theme configurations files.
 */

/**
 * Implements theme_form().
 */
function <%= projectSlug %>_form($variables) {
  $element = $variables['element'];
  if (isset($element['#action'])) {
    $element['#attributes']['action'] = drupal_strip_dangerous_protocols($element['#action']);
  }
  element_set_attributes($element, array('method', 'id'));
  if (empty($element['#attributes']['accept-charset'])) {
    $element['#attributes']['accept-charset'] = "UTF-8";
  }
  // Anonymous DIV to satisfy XHTML compliance.
  return '<form' . drupal_attributes($element['#attributes']) . '>' . $element['#children'] . '</form>';
}

/**
 * Preprocessor for theme('button').
 */
function <%= projectSlug %>_preprocess_button(&$vars) {

  // Abort if this is a protected (whitelisted) element.
  $whitelist = _<%= projectSlug %>_element_whitelist();
  if (in_array($vars['element']['#id'], $whitelist)) {
    return;
  }

  $vars['element']['#attributes']['class'][] = 'btn';
}

/**
 * Returns HTML for a button form element.
 */
function <%= projectSlug %>_button($variables) {
  $element = $variables['element'];

  $label = $element['#value'];
  element_set_attributes($element, array('id', 'name', 'value', 'type'));

  $element['#attributes']['class'][] = 'form-' . $element['#button_type'];
  if (!empty($element['#attributes']['disabled'])) {
    $element['#attributes']['class'][] = 'form-button-disabled';
  }

  // Prepare input whitelist - added to ensure ajax functions don't break.
  $whitelist = _<%= projectSlug %>_element_whitelist();

  if (isset($element['#id']) && in_array($element['#id'], $whitelist)) {
    // This line break adds inherent margin between multiple buttons.
    return '<input' . drupal_attributes($element['#attributes']) . ">\n";
  }
  else {
    // This line break adds inherent margin between multiple buttons.
    return '<button' . drupal_attributes($element['#attributes']) . '>' . $label . "</button>\n";
  }
}

/**
 * Returns an array containing ids of any whitelisted drupal elements.
 */
function _<%= projectSlug %>_element_whitelist() {
  /*
   * Why whitelist an element?
   * The reason is to provide a list of elements we wish to exclude
   * from certain modifications made by the bootstrap theme which
   * break core functionality - e.g. ajax.
   */
  return array(
    'edit-refresh',
    'edit-pass-pass1',
    'edit-pass-pass2',
    'panels-ipe-cancel',
    'panels-ipe-customize-page',
    'panels-ipe-save',
  );
}

/**
 * Implements hook_element_info_alter().
 */
function <%= projectSlug %>_element_info_alter(&$elements) {

}
